BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

apt.postgresql.org Repository Update
The following bug has been logged on the website:

Bug reference:      16284
Logged by:          Tony Ryf
Email address:      [hidden email]
PostgreSQL version: 11.4
Operating system:   Qnap 4.4.1
Description:        

Hi

I wanted to dump the Database with following command on Qnap 4.4.1 with
PostgreSQL 11.4.1 (this command works on Qnap 4.4.1 with PostgreSQL 9.3.13.3
).

./pg_dump -U postgres -h localhost -p 5432 -f
/share/Postgres-Backup/postgres-davinci-di.sql filmerei21
Password:

pg_dump: server version: 11.4 (Debian 11.4-1.pgdg90+1); pg_dump version:
9.3.13
pg_dump: aborting because of server version mismatch

So how can I backup the Database? We also realized that the PostgreSQL App
is no longer available on Qnap System. Qnap Support advised us to contact
you.

We have two QNAP Server running both with QNAP 4.4.1 one with PostgreSQL
11.4.1 and the other with PostgreSQL 9.3.13. Both App were downloaded from
the Qnap store.

Thanks for your support and advice how to proceed when the app is no longer
available on Qnap.

Tony Ryf

Reply | Threaded
Open this post in threaded view
|

Re: BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Daniel Gustafsson
> On 2 Mar 2020, at 10:38, PG Bug reporting form <[hidden email]> wrote:

> pg_dump: server version: 11.4 (Debian 11.4-1.pgdg90+1); pg_dump version:
> 9.3.13
> pg_dump: aborting because of server version mismatch

Always use the pg_dump binary from the new version of the database when
dumping.  In this case, please use the pg_dump binary from the 11.4
installation.

cheers ./daniel

Reply | Threaded
Open this post in threaded view
|

Re: BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Tony Ryf
Hi Daniel

Thanks a lot for prompt support.

How can I use the pg_dump from 11.4? There is only one pg_dump after the update from PostgreSQL to 11.4 from 9.3.13 on the QNAP Server?

And what about the issue that the PostgreSQL app is no longer available on QNAP Server?

Best Regards
Tony

 
Planetwerks AG
Nüschelerstrasse 45 | 8001 Zürich | Switzerland
Phone +41 44 227 1410 | Mobile +41 79 436 36 69
[hidden email] | www.planetwerks.ch  
 

Am 02.03.20, 10:45 schrieb "Daniel Gustafsson" <[hidden email]>:

    > On 2 Mar 2020, at 10:38, PG Bug reporting form <[hidden email]> wrote:
   
    > pg_dump: server version: 11.4 (Debian 11.4-1.pgdg90+1); pg_dump version:
    > 9.3.13
    > pg_dump: aborting because of server version mismatch
   
    Always use the pg_dump binary from the new version of the database when
    dumping.  In this case, please use the pg_dump binary from the 11.4
    installation.
   
    cheers ./daniel

Reply | Threaded
Open this post in threaded view
|

Re: BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Daniel Gustafsson
> On 2 Mar 2020, at 11:22, Tony Ryf <[hidden email]> wrote:

> How can I use the pg_dump from 11.4? There is only one pg_dump after the update from PostgreSQL to 11.4 from 9.3.13 on the QNAP Server?

I assume this upgrade wasn't using any PGDG distributions (since those provide
the full set of applications), so that's a question for whomever is creating
the distribution that you were installing.  If you upgrade only upgraded the
backend server and not the client/serverside utilities then that sounds quite
wrong.

> And what about the issue that the PostgreSQL app is no longer available on QNAP Server?

Again, that's a question for the relevant vendor.  The PostgreSQL project isn't
publishing a QNAP distribution.

cheers ./daniel



Reply | Threaded
Open this post in threaded view
|

Re: BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Tony Ryf
Hi Daniel

Thanks for the update.

This is it: The pg_dump ist date from 2016-05-10!

Qnap is a bit crazy to even allow such packages to be distributed.

We have to move to maybe Linux:

What do you recommend as operating system for PostgreSQL?

I would prefer Upuntu 18.04, but why is the update stopping for linux versions on PostgreSQL 10?

What about docker images for PostgreSQL on  Ubuntu 18.04?

Thanks for your advice

Tony


 
Planetwerks AG
Nüschelerstrasse 45 | 8001 Zürich | Switzerland
Phone +41 44 227 1410 | Mobile +41 79 436 36 69
[hidden email] | www.planetwerks.ch
 

Am 02.03.20, 11:46 schrieb "Daniel Gustafsson" <[hidden email]>:

    > On 2 Mar 2020, at 11:22, Tony Ryf <[hidden email]> wrote:
   
    > How can I use the pg_dump from 11.4? There is only one pg_dump after the update from PostgreSQL to 11.4 from 9.3.13 on the QNAP Server?
   
    I assume this upgrade wasn't using any PGDG distributions (since those provide
    the full set of applications), so that's a question for whomever is creating
    the distribution that you were installing.  If you upgrade only upgraded the
    backend server and not the client/serverside utilities then that sounds quite
    wrong.
   
    > And what about the issue that the PostgreSQL app is no longer available on QNAP Server?
   
    Again, that's a question for the relevant vendor.  The PostgreSQL project isn't
    publishing a QNAP distribution.
   
    cheers ./daniel
   
   

Reply | Threaded
Open this post in threaded view
|

Re: BUG #16284: Pg_dump is not working and PostgreSQL APP no longer available

Daniel Gustafsson
> On 2 Mar 2020, at 11:55, Tony Ryf <[hidden email]> wrote:

> What do you recommend as operating system for PostgreSQL?
>
> I would prefer Upuntu 18.04, but why is the update stopping for linux versions on PostgreSQL 10?

I you prefer Ubuntu then thats probably the best option to go with, familiarity
with the system is important.  Use the PostgreSQL apt repository listed on
https://www.postgresql.org/download/linux/ubuntu/ for well supported packages.

cheers ./daniel